Ubuntu

Compiz is moving windows against my will

Reported by Oli on 2012-04-05
518
This bug affects 110 people
Affects Status Importance Assigned to Milestone
Compiz
High
Rock
Compiz Core
High
Rock
compiz (Ubuntu)
Undecided
Unassigned
Precise
Medium
Omer Akram

Bug Description

[Impact]

Regression in window handling when using Gnome Classic.

[Test case]

1. (multi-monitor) Place a window between first and second monitor. The window should not be forced back.

2. Place a window half-off the bottom of the screen. The window should not snap back up and there should always be a way to detach it from the bottom of the screen.

[Regression potential]

Window placement in general, should be tested by manual/checkbox tests. The same commit has been well tested in Ubuntu 12.10.

-- original bug report --

My screen is Nvidia Twinview setup and I'm using Gnome Classic with Compiz.

I have found that since updating to 12.04 windows have two detrimental regressions.

 1. If I place a window between the first and second monitor (so it overlaps both), the window is forced back over. I can understand this for off-screen windows but between-monitors is silly. And there should be an option for turning this off if there isn't one already.

 2. If I place a window half-off the bottom of the screen, all hell breaks loose. Firstly it snaps back up so it's all on the screen (makes sense if you like that sort of thing), but after that, there's no way to detach it from the bottom of the screen. As soon as you do (and then click anywhere) it snaps back down so the bottom of the window is back at the bottom of the screen.

   The same is true with the top (if you move a window too high up (say holding alt and left-click-dragging the bottom up). I've found no way to work around this other than to close the window and start again, or restart compiz.

The first is a dual-screen issue, the second might affect everybody; but they definitely seem related.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: compiz 1:0.9.7.4-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13
Uname: Linux 3.2.0-21-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.tmp.unity.support.test.0:

ApportVersion: 2.0-0ubuntu4
Architecture: amd64
CompizPlugins: [core,composite,opengl,decor,move,commands,gnomecompat,mousepoll,workarounds,compiztoolbox,resize,place,resizeinfo,ezoom]
CompositorRunning: compiz
Date: Thu Apr 5 13:26:27 2012
DistUpgraded: 2012-04-03 15:47:41,715 DEBUG enabling apt cron job
DistroCodename: precise
DistroVariant: ubuntu
GraphicsCard: NVIDIA Corporation GF110 [GeForce GTX 580] [10de:1080] (rev a1) (prog-if 00 [VGA controller])
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
MachineType: Gigabyte Technology Co., Ltd. X58A-UD7
PackageArchitecture: all
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-21-generic root=UUID=1b66bb9e-5b02-49f1-8cf9-bc3f649d70a6 ro nomodeset pcie_aspm=force
SourcePackage: compiz
UpgradeStatus: Upgraded to precise on 2012-04-03 (1 days ago)
dmi.bios.date: 08/24/2010
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F7
dmi.board.name: X58A-UD7
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF7:bd08/24/2010:svnGigabyteTechnologyCo.,Ltd.:pnX58A-UD7:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnX58A-UD7:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: X58A-UD7
dmi.sys.vendor: Gigabyte Technology Co., Ltd.
version.compiz: compiz 1:0.9.7.4-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Oli (oli) wrote :
summary: - Compiz moving windows against my will
+ Compiz edge detection code is moving windows against my will
Oli (oli) on 2012-04-05
description: updated

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu):
status: New → Confirmed
Oli (oli) wrote :

I have tracked this down to the Place Window plugin. Disabling the plugin releases a window from its edge-captivity and while it's turned off future border clashes don't ensnare windows. That would be great if it wasn't so necessary. Compiz is near-unusable without it so that's only ever a temporary fix.

And this is testing with the precise-proposed version, 0.9.7.6-0ubuntu1. It was the same before trying -proposed.

Matt Pharoah (mr-exuberant) wrote :

Yes, turning off the Place Window plugin worked for me. Windows no longer spazz out when in-between workspaces, in-between monitors, or just not stritcly contained in one viewport in general.

The downside is that now all programs that don't exlplicitly state a location to map the window at are placed at (0,0), which is annoying if you want to open multiple programs at once.

Nicholas Taylor (ntaylor-i) wrote :

I just wanted to confirm that this is happening on both by Nvidia TwinView desktop and my Intel 945GM laptop. Both of these systems are ubuntu 12.04 - amd64. Problematic behavior disappears after disabling the place plugin within compiz. After disabling this plugin remember that holding the alt key will allow you to move a window even if you can't grab the bar along the top.

The worst impact of this bug for me is windows getting stuck to the top and bottom of the screen. After a window has touched either the bottom or top of the screen it will permanently be stuck there. I can drag the window away from the edge but the moment I release the mouse button the window will return to the edge. Moving a window to the left or right causes the mouse cursor to no longer match up with the window....This causes a certain degree of desktop flipping and window management havoc. I use a 4x1 (4 columns x 1 row) workspace layout so moving windows off the workspace left or right is different than moving them up or down.

Rock (rockbuntu) wrote :

The attached patch seems to fix the problem.

The attachment "fix-974242.patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch

I can confirm that the patch seems to fix the bug

Changed in compiz-core:
status: New → Confirmed
milestone: none → 0.9.8.0
Sebastien Bacher (seb128) wrote :

@Rock: thanks for your work, do you think you could do a merge request with your fix?

Dàrent (animaletdesequia) wrote :

I'm sorry because this is going to sound like a really silly question, but... can somebody explain how to apply the patch? Do I need the compiz source or can I modify the installed files directly? Thanks!

Daniel van Vugt (vanvugt) wrote :

Dàrent, yes you need the source code and knowledge of how to patch and compile code. You also need enough knowledge to be able to recover your system if you break anything. So I do not recommend digging further if you don't already know. It's too risky.

Many people will also see bug 755842, which sounds very similar to this one. I haven not looked at this bug in detail but it sounds different simply because the place plugin is a factor.

Changed in compiz:
status: New → Confirmed
Dàrent (animaletdesequia) wrote :

Thanks Daniel for your answer. You're right, I better don't dig more since I have now an stable system and this bug doesn't bothers me that much to broke it. I'll wait until it gets patched officially or somebody build a patched .deb.
I also have that other bug 755842 witch I though it was unrelated so I just subscribed.

Salut.

monjurul@88 (monjurul1988) wrote :

guys i m having the same problem with my nvidia gt220 so i m using the panel in the bottom and disabled place windows but i m really waiting for the fix...hope u guys will work to find a way

Changed in compiz (Ubuntu):
assignee: nobody → monjurul@88 (monjurul1988)
Morlok8k (aoa-supercool) wrote :

I have the same bug, although my symptoms are slightly different than explained here. I had created bug #986063, but it was marked as a duplicate of this one.

See Bug #986063 for a description of what happens to me.
It only happens to me after a few days of my computer being on.

And I'll wait for an official patch as well...

Changed in compiz:
milestone: none → 0.9.8.0
Changed in compiz-core:
milestone: 0.9.8.0 → none
Eggsome (eggsome) wrote :

Confirmed as a bug on my T61 Lenovo Thinkpad.
Will this be fixed in 12.04 because it's an LTS, or will we have to switch to 12.10 when it comes out?

monjurul@88 (monjurul1988) wrote :

guys, recently i switched from gnome fallback to XFCE4 and in XFCE4 i am using compiz without having this issue. place windows is working without this bug.so either u guys can wait for the fix or switch to XFCE4 as compiz is running nicely in with my nvidia card.

Owen Williams (ywwg) wrote :

Patch definitely fixes the problem for me, as well as fixing https://bugs.launchpad.net/compiz-core/+bug/976032

monjurul@88 (monjurul1988) wrote :

@Owen Williams (ywwg)

can u explain how can i apply the patch..

it would be a great help for me

Oli (oli) wrote :

Just to echo the others: an hour of testing in, and I've nothing but joy to report. This patch makes Compiz/Gnome-Fallback usable. Things behave as you would expect: windows aren't jumping all over the place or getting stuck, and, per the other bug, the panel isn't getting in the way of fullscreen applications.

@monjurul@88 it's a bit hectic:

sudo apt-get build-dep compiz
sudo apt-get install devscripts
wget https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/974242/+attachment/3141645/+files/fix-974242.patch
apt-get source compiz
cd compiz* # you might want to replace the *
patch -p1 < ~/Desktop/fix-974242.patch
dpkg-source --commit
debuild -us -uc

That should dump a whole collection of debs in `..`. After that just install the ones you need with `dpkg -i`.

If you're using nvidia (pointedly the xorg-edgers PPA version) you might have problems compiling things that link to /usr/lib/libGL.so* so I just moved those files to my desktop, ran the `debuild -us -uc` command again and after that, moved the libGL files back.

The bigger question is, how do we go about nominating this patch for immediate inclusion in Ubuntu so people aren't forced to download half a gig just to compile this in?

Oli (oli) wrote :

Urgh, obviously the line `patch -p1 < ~/Desktop/fix-974242.patch` isn't supposed to look for your desktop - If you're following my instructions to the letter, just use `patch -p1 < ../fix-974242.patch` (or fix the path yourself).

Oli (oli) wrote :

Seeing how easy it is to create a PPA, I have just done this: https://launchpad.net/~oli/+archive/compiz-place-patch

It has built for 32bit Precise but there's a 4-hour wait for 64bit Precise. When it's ready you can install the PPA and just upgrade to the package like so:

sudo add-apt-repository ppa:oli/compiz-place-patch
sudo apt-get update
sudo apt-get upgrade

I'll try to keep up with the releases as they come in but this should do for initial testing.

everflux (tklaunchpad) wrote :

Great, thanks a lot!
The patch fixes the issue of self-moving windows indeed. One exception: When moving a window from one display to another display (multi head setup), the window moves stubbornly. But I can live with that.

Dàrent (animaletdesequia) wrote :

Just want to confirm that is working perfectly here, I wasn't able to patch it myself so I'm using the provided ppa.
This solves the fullscreen video issue (not only flash, any fullscreen app like video players), and also the problems with fullscreen applications running under wine with a dualhead (two monitors, nvidia, twinview). Also, it solves the problem of some applications with the fixed position plugin changing randomly from one desktop to another (vviewport).
I'm using gnome-session-fallback with a little tweaking to make it load compiz directly from lightdm (skipping metacity wich is the default window manager for the fallback mode in gnome3).

Thank you a lot for your work!

P.D. Excuse my poor English xD

Matt Pharoah (mr-exuberant) wrote :

I believe patch supervisors are the ones who nominate a patch for release, but that hasn't happened in this case for some reason.

summary: - Compiz edge detection code is moving windows against my will
+ Compiz is moving windows against my will
roots (roots) wrote :

Thanks for the great fix!
This patch also nicely fixes another Place-Windows bug for me (https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/1007976).

.roots

I can confirm that the patch also fixes bug #1007976. Thanks!

Biji (biji) wrote :

please release the patch to update-manager

Changed in compiz:
importance: Undecided → High
rawdmon (raw-dmon) wrote :

This bug and bug #862430 are the two bugs that are absolutely killing me with this version of Compiz. It would be nice to get a PPA setup that has both of the fixes attached until they can do an official release with the fixes.

Changed in compiz:
assignee: nobody → Compiz Maintainers (compiz-team)
Daniel van Vugt (vanvugt) wrote :

rawdmon:
The fix for bug 862430 is available for testing in both precise (my PPA) and quantal (ubuntu updates, today). Please look at that bug for more details.

Bogo Nomicon (miscbma) wrote :

Screen shots of what I was describing in post #2 of bug report 1017374.

Anoter issue is the gnome pannels display themselves on top of the mplayer when mplayer is in full screen mode. I'm now sure this is a gnome-pannel issue rather than an mplayer one.

Image of mplayer with gnome pannels overlaying video when mplayer was put in full screen mode.
http://www.nerdvest.com/images/cross-linked/ubuntu/bugs/Screenshot_from_2012-06-29_02_40_40.png

Bogo Nomicon (miscbma) wrote :

Screen shots of what I was describing in post #2 of bug report 1017374.

Another window size snapping issue. When an mplayer window is resized off of full screen (using "f" full screen toggle command in mplayer) the window initially resizes like it did before, but then a fraction of a second later the top and bottom edges of the window snap to the top and bottom of the screen.

Image of mplayer after leaving full screen mode with top and bottom snapped to top and bottom of screen.
http://www.nerdvest.com/images/cross-linked/ubuntu/bugs/Screenshot_from_2012-06-29_02_41_48.png

Bogo Nomicon (miscbma) wrote :

I got the PPA installed, and it looks like all my window snapping issues were fixed by it.

Hi Oli,

Last Compiz update breaks your fix. Is there some way to get this working again?

Thank you!

cement_head (andor-udel) wrote :

Hello,

  I agree with @rawdmon (Post #30) - it'd be great to get both of these patches rolled up into ONE PPA such that they don't cancel each other out.

  Actually the flicker window bug patch has two minor issues, tearing when moving videos, and blank menus (right-click).

- CH

Hi, can these patches please be pushed into mainstream Unity ... so that you DO NOT have to install from an PPA ?

Why hasn't Ubuntu integrated yet this patch? What are they waiting for? It's a killing bug and I have to recompile Compiz at each upgrade...

everflux (tklaunchpad) wrote :

I can only think of these options:
a) They don't care what happens outside of unity
b) They welcome bugs which are putting pressure on users to move to unity
c) They don't value customers not paying for support

I am so happy to have the PPA!

cement_head (andor-udel) wrote :

I believe this is related to BUG 1024591, and has a lot to with not neeing able to indepedently name each virtual workspace. Apparently this has been enabled upstream.

xlyz (xlyz) wrote :

@ gregoire-gentil

currently this is not even in the top 20 bugs in term of heat in compiz (Ubuntu).

and importance is undecided.

still a pity that the fix has not been released

Changed in compiz (Ubuntu):
assignee: monjurul@88 (monjurul1988) → nobody
S.Rey (s.rey) wrote :

I hope this bug (and other annoying ones like flicker on desktop switching or the broken default theme) gets fixed soon. IMO this is not admissible for a supposedly stable version.
Sadly Gnome Classic in Precise is way too buggy, and 4 months after release there is not much indication that anything is going to be solved.

I completely agree. And I have filed only 1/10 of the bugs I'm experiencing on Precise (most of them related to gnome classic but even not all). I'm really disappointed too - I was forced to upgrade from Maverick and the current #precise BUGGY situation is a HUGE pain.

cement_head (andor-udel) wrote :

Or...Unity sees a DRAMATIC increase in usability for professionals...

Darron Black (darron) wrote :

I would really like this in an official update. Luckily, it was easy enough to patch and build my own. I'd hate for the next update to break this for me. I guess I'll have to watch the updates as they come in.

This creates an absolutely horrible experience and it was a HUGE deal for me. The workarounds are just as awful. This patch is IMHO vitally necessary to non-unity users.

I was about 50% of the way towards deciding to dump Ubuntu and try Mint again because of this single issue.

I'm lucky my 5th search on this issue turned up this bug on launchpad. (probably hit the right keywords since I was looking into getting the source and trying to fix it myself)

Thanks, by the way, to whoever fixed this (rockbuntu?)

Ohad Kammar (ohad-kammar) wrote :

Patch works well for me too.

I rely on a dual monitor for my job quite heavily, and it became increasingly annoying to work without the patch.

Thanks to whomever fixed it (rockbuntu?), I hope the patch makes it to an official update, especially as the patch is so simple!

Changed in compiz:
assignee: Compiz Maintainers (compiz-team) → Oli (oli)
status: Confirmed → In Progress
assignee: Oli (oli) → Rock (rockbuntu)
vexorian (vexorian) wrote :

Thank you for the patch and ppa! I also noticed the odd behavior with windows near the bottom of the screen. The ppa also fixes a bug I was experiencing with maximizing windows moving out of workspace 2 to workspace 1 whenever I switched to workspace 3 or 4 using gnome-panel.

knoxg (knoxg) wrote :

This patch had been fixing issues I was seeing with the placement of fullscreen remmina windows ( BUG https://bugs.launchpad.net/compiz-core/+bug/976032 ), but the latest update from ubuntu appears to have reverted the patch out from my system:

knoxg@bnehyp02:/var/log$ sudo apt-cache policy compiz-plugins-default
compiz-plugins-default:
  Installed: 1:0.9.7.8-0ubuntu1.4
  Candidate: 1:0.9.7.8-0ubuntu1.4
  Version table:
 *** 1:0.9.7.8-0ubuntu1.4 0
        500 http://au.archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1:0.9.7.8-0ubuntu1.4 0
        500 http://ppa.launchpad.net/oli/compiz-place-patch/ubuntu/ precise/main amd64 Packages
     1:0.9.7.6-0ubuntu1 0
        500 http://au.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages

To enforce the source of the compiz plugins to Oli's PPA, I created a pinning preferences file under /etc/apt/preferences.d/compiz-place-patch.pref containing the following:

Package: compiz-plugins
Pin: origin ppa.launchpad.net
Pin-Priority: 600

Package: compiz-plugins-default
Pin: origin ppa.launchpad.net
Pin-Priority: 600

and then performed an apt-get upgrade; the patches were then returned to my system:

knoxg@bnehyp02:/var/log$ sudo apt-cache policy compiz-plugins-default
compiz-plugins-default:
  Installed: 1:0.9.7.8-0ubuntu1.4
  Candidate: 1:0.9.7.8-0ubuntu1.4
  Package pin: 1:0.9.7.8-0ubuntu1.4
  Version table:
     1:0.9.7.8-0ubuntu1.4 600
        500 http://au.archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
 *** 1:0.9.7.8-0ubuntu1.4 600
        500 http://ppa.launchpad.net/oli/compiz-place-patch/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status
     1:0.9.7.6-0ubuntu1 600
        500 http://au.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages

Changed in compiz:
milestone: 0.9.8.0 → 0.9.8.1
Terence (helloterence) wrote :

knoxg: I followed your instructions to enforce the source of the compiz plugins to Oli's PPA. Everything worked as usual, but now I'm constantly getting a red triangle with an exclamation point that says: "The update information is outdated.This may be caused by network problems or may be caused by a repository that is no longer available.Please update manually by clicking this icon..." Any way to get rid of this?

Terence I'd suggest running `sudo apt-get update` from the command line to
get a better picture.

Terence (helloterence) wrote :

This seemed to have fixed it. Thank you!

cement_head (andor-udel) wrote :

I've added Oil's PPA and can't seem to get the debs installed - the current version of compiz is now the same as Oil's PPA version - so no change.

Is there a workaround?

Thanks,
CH

Changed in compiz:
status: In Progress → Fix Committed
Daniel van Vugt (vanvugt) wrote :

Fix committed into lp:compiz at revision 3324

Ohad Kammar (ohad-kammar) wrote :

Issue is now back. I applied Oli's patch before, and it worked, but now the issue is back. It's as if the patch was undone in the past 24 hours.

FaberfoX (faberfox) wrote :

For those of you experiencing the issue again after the last compiz update, pinning Oli's PPA as explained in #48 works, simpler instructions are below:

Open a terminal, copy and paste:
sudo gedit /etc/apt/preferences.d/compiz-place-patch.pref

In the gedit window, paste:

Package: compiz-plugins
Pin: origin ppa.launchpad.net
Pin-Priority: 600

Package: compiz-plugins-default
Pin: origin ppa.launchpad.net
Pin-Priority: 600

Save the file, close gedit.

Paste in the terminal:
sudo apt-get update
sudo apt-get upgrade
compiz --replace &

Changed in compiz:
status: Fix Committed → Fix Released
Donjan Rodic (bryonak) wrote :

Used Oli's PPA, but this got broken again with today's routine update (on 12.04), so here's another vote to mainline it in the current release.

Placing a window such that the majority of it is not on the current workspace, and then Alt+Tabbing to it, moves this window completely to the other workspace (where it's majority resides) and forces a workspace switch.
This is independent of any window management plugin (snap, grid, place, ...).

It's a behaviour I find fundamentally wrong. Compiz should leave my carefully placed windows (yes, not fully on workspace) alone, and certainly not force workspace switches.

hede (michael-heide) wrote :

1:
I've only installed compiz-plugins-default from Olis PPA and it's working fine now. Thanks. :-)
{{{
wget http://ppa.launchpad.net/oli/compiz-place-patch/ubuntu/pool/main/c/compiz/compiz-plugins-default_0.9.7.8-0ubuntu1.4_amd64.deb
dpkg -i compiz-plugins-default_0.9.7.8-0ubuntu1.4_amd64.deb
}}}

2: Maybe another Duplicate: Bug #949839

Changed in compiz-core:
milestone: none → 0.9.7.10
status: Confirmed → Triaged
importance: Undecided → High
Changed in compiz (Ubuntu):
status: Confirmed → Triaged
milestone: none → ubuntu-12.10-beta-2
Daniel van Vugt (vanvugt) wrote :

Fix committed to lp:compiz-core/0.9.7 at revision 3117

Changed in compiz-core:
status: Triaged → Fix Committed
assignee: nobody → Rock (rockbuntu)

In which version of Ubuntu will this fix be released?

Daniel van Vugt (vanvugt) wrote :

Serrano,

The target versions are at the top of the bug. Compiz 0.9.7.* is for 12.04 and Compiz 0.9.8.* is for 12.10.

Launchpad Janitor (janitor) wrote :
Download full text (5.2 KiB)

This bug was fixed in the package compiz - 1:0.9.8.2+bzr3377-0ubuntu1

---------------
compiz (1:0.9.8.2+bzr3377-0ubuntu1) quantal-proposed; urgency=low

  [ Sam Spilsbury ]
  * debian/python-compizconfig.install
    - Install compizconfig-python.pc
  * debian/patches/100_expo_layout.patch
    - re-add the expo layout that used to be in precise (LP: #1047067)
    - add some testcases

  [ Timo Jyrinki ]
  * New upstream snapshot.
    - Fix multiple window placement bugs (LP: #974242) (LP: #976032)
    - Don't waste CPU looping through and looking at all the windows if you're
      rendering an output that has no damage on it. (LP: #1014986)
    - Updated convert files to fix some typos in the key names. (LP: #1041631)
    - Fix crash when imgsvg is loaded, due to missing symbol
      (decor_apply_gravity from libdecoration). (LP: #956986)
    - Treat unresolved symbols at link time as an error, rather than letting
      them through and cause strange crashes later. (LP: #1043143)
    - Refactors a little bit of the upgrade code and gets it under test to
      prepare to fix (LP: #1042537)
    - Updated AUTHORS from the full bzr log, and re-sort the list.
      (LP: #1042095)
    - Fixes FTBFS for kde4-window-decorator (LP: #1041310)
    - Fix obvious omissions from the introduction of unminimize_*,
      which were causing the unminimize animation settings to be ignored
      (LP: #1040455)
    - resize plugin: don't crash if resize wasn't initiated externally
      (LP: #1045191)
    - Clean up capitalization (LP: #1045652)
    - Avoid division by zero, if plugins try to deform a window down to size
      zero. (LP: #1045235)
    - Make "Unredirect Fullscreen Windows" more reliable. This fixes the
      problem with unredirection failing to engage at all (LP: #1041066) when
      gtk-window-decorator creates offscreen windows that are stacked on top.
      This also fixes the problem with unredirect hiding all windows,
      because it thinks the desktop window should be stacked on top
      (LP: #980663).
    - Ensure unredirected windows don't stay unredirected if they're no longer
      on top. (LP: #1041047)
    - Fix launching terminal functionality and make show-hud default key
      visible. Update the defaults to org.compiz.integrated to reflect the
      actual gnome values pre-gnome-3. (LP: #1040081) (LP: #1046199)
      (LP: #1046190)
    - Fix show-hud, bump COMPIZ_GNOME_INTEGRATED_SETTINGS_LIST_SIZE.
      (LP: #1046212)
    - Fixed: Windows with an alpha-channel, like gnome-terminal, were not
      being considered as possibly covering fullscreen windows. But they most
      certainly can. This ensures such RGBA windows are visible if they're
      stacked above a fullscreen window. (LP: #1046661)
    - Remove ListToStringList (LP: #1046184)
    - Fix typo causing CMake Error (LP: #1045665)
    - Transitions gtk-window-decorator over to use GSettings. Add a testing
      framework for the options code. (LP: #1042323)
    - Also need kdeworkspace since kdecorationbridge.h is there
      (LP: #1046770)
    - Implements some cleanup that was suggested on the merge for the original
      port to gsettings. Other issues fixed as wel...

Read more...

Changed in compiz (Ubuntu):
status: Triaged → Fix Released

Will be released an update for Ubuntu 12.04 (Precise)?

Daniel van Vugt (vanvugt) wrote :

Juan,

The fix is committed to compiz 0.9.7.10 so that means it should be in the next compiz update for precise. However I do not know when that will be, sorry.

Richard Hansen (a7x) wrote :

From what I understand, the fix won't come to Precise unless this bug goes through the SRU procedure: <https://wiki.ubuntu.com/StableReleaseUpdates#Procedure>. Daniel: Would you be willing to do the leg work?

Daniel van Vugt (vanvugt) wrote :

Yes, I will probably be involved in the next SRU for precise. But even if I'm not, there are several Ubuntu people who would make sure this fix is included. Whenever the SRU happens...

Is somebody carrying out the SRU procedure? It would be fine to get the update as soon as possible because my patience is running out with this bug.

Omer Akram (om26er) wrote :

I will, soon.

Changed in compiz (Ubuntu Precise):
importance: Undecided → Medium
status: New → Triaged
assignee: nobody → Omer Akram (om26er)
Kai Timmer (eh79o) wrote :

This fix still isn't in 12.04. It is a mayor pain to deal with this every day. Could you please upload the fix to 12.04 asap? Thank you!

Timo Jyrinki (timo-jyrinki) wrote :

The fix is now available at ppa:unity-team/sru, where the next 12.04 SRU is being prepared.

description: updated
Changed in compiz-core:
status: Fix Committed → Fix Released

Hello Oli, or anyone else affected,

Accepted compiz into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/compiz/1:0.9.7.8+bzr3121-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in compiz (Ubuntu Precise):
status: Triaged → Fix Committed
tags: added: verification-needed

Just tested the package from precise-proposed - fixes the problem for me.

tags: added: verification-done
removed: verification-needed
Kai Timmer (eh79o) wrote :

Just tested the package from precise-proposed - It didn't fix the problem for me!

tags: added: verification-failed
removed: verification-done
Łukasz Zemczak (sil2100) wrote :

Hi Kai. Is the problem you're encountering really the same as the problem here? Could you please give us more info about what is the current package version you are using? What hardware configuration are you using? All this info will help us find out why the patch fixed the issue for others and not for you.

Thank you.

Kai Timmer (eh79o) wrote :

Hi, so sorry. Acutally it did fix the bug for me. Just one small thing is still not working (which is the point I tested with).

When I use the Grid plugin to put a window in a corner, and than use a shortcut to move it to the other screen, it flips back to the original one.

All the other flipping and moving around is fixed with this patch. Sorry for the confusion.

tags: added: verification-done
removed: verification-failed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.7.8+bzr3121-0ubuntu1

---------------
compiz (1:0.9.7.8+bzr3121-0ubuntu1) precise-proposed; urgency=low

  * New upstream stable branch snapshot.
    - Includes all the previous cherry-picked fixes
    - Fix crash when imgsvg is loaded, due to missing symbol
      (decor_apply_gravity from libdecoration). (LP: #956986)
    - Fix multiple window placement bugs (LP: #974242) (LP: #976032)
    - Fix window handle leak causing gradual degradation in desktop
      performance (LP: #1050610)
    - Some decoration pixmaps get leaked on window resize, due to race
      conditions between gtk-window-decorator and the decor plugin.
      (LP: #1057263)
    - Avoid a NULL dereference and give a useful error message instead.
      (LP: #944653)
    - Fix leakage of destroyed_pixmaps_table, containing pointers to freed
      decor_t's which could result in a freed GHashTable being passed into
      g_hash_table_remove and causing a crash. (LP: #1060171)
  * debian/patches/compiz-package-gles2.patch:
    - Drop the NEWS file, update decor.cpp part to build with new upstream
      code.
  * debian/patches/revert_fix_933776_955035.patch:
    - Cherry-pick the revert from upstream since the bug fix is not
      suitable for SRU as is
  * debian/patches/revert_fix_994841.patch:
    - Cherry-pick also this revert as non-SRU material, not relevant
      to users
  * debian/libdecoration0.symbols:
    - Update with latest symbols
 -- Timo Jyrinki <email address hidden> Mon, 12 Nov 2012 13:56:29 +0200

Changed in compiz (Ubuntu Precise):
status: Fix Committed → Fix Released
Eggsome (eggsome) wrote :

Thanks to everyone who worked on this.
It really made my day being able to run fullscreen movies with gnome-panel on 12.04 :)

Julian Haagsma (jhaagsma) wrote :

This seems to have fixed for me as well :)

The only caveat is that with Window Place turned off (couldn't work with it on until this fix), new windows still start underneath the top bar. I guess that's a separate issue, but still.

Bryan Larsen (bryan-larsen) wrote :

I'm getting behavior similar to what Kai reported. When the grid plugin is used to place a window, it snaps back to the original position, making the grid plugin useless for many use cases. For instance, if I want a window on the top 1/3rd of the screen on one of my monitors, the easiest way used to be to press ctrl-alt-kp8, and then make it a little smaller. That no longer works: it snaps back to being half the screen. Is there a bug open somewhere for this behaviour?

To post a comment you must log in.